PCI_FIND_EXT_CAPABIL(9)

NAME
pci_find_ext_capability - Find an extended capability

SYNOPSIS

int pci_find_ext_capability(struct pci_dev * dev, int cap);

ARGUMENTS

dev
    PCI device to query

cap
    capability code

DESCRIPTION

Returns the address of the requested extended capability structure within the device's PCI configuration space or 0 if the device does not support it. Possible values for cap:

PCI_EXT_CAP_ID_ERR Advanced Error Reporting PCI_EXT_CAP_ID_VC Virtual Channel PCI_EXT_CAP_ID_DSN Device Serial Number PCI_EXT_CAP_ID_PWR Power Budgeting

COPYRIGHT